use serde::{Serialize, Deserialize};
use chrono::NaiveDateTime;
use uuid::Uuid;

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct Design {
    #[serde(default = "Uuid::new_v4")]
    pub id: Uuid,
    pub style: String,
    pub prompt: String,
    pub image: String,
    pub created_at: NaiveDateTime,
    pub user_id: String,
}

#[derive(Debug, Serialize, Deserialize)]
pub struct CreateDesignRequest {
    pub style: String,
    pub prompt: String,
    pub user_id: String,
}

#[derive(Debug, Serialize, Deserialize)]
pub struct CreateDesignResponse {
    pub id: Uuid,  // UUID implements Serialize/Deserialize by default
    pub image: String,
}